use iced::window::Settings;
use iced::Size;
use todo::Todo;

mod todo;
mod db;

fn main() -> iced::Result {
    let settings = Settings {
        size: Size::new(500.0, 600.0),
        resizable: false,
        ..Settings::default()
    };
    
    iced::application("To Do App", Todo::update, Todo::view)
        .subscription(Todo::subscription)
        .theme(Todo::theme)
        .window(settings)
        .run()
}